org.apache.ignite.internal.util

## Class GridSerializableMap<K,V>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - org.apache.ignite.internal.util.GridSerializableMap<K,V>

All Implemented Interfaces:
  Serializable, Map<K,V>

Direct Known Subclasses:
  GridLeanMap

    public abstract class GridSerializableMap<K,V>
    extends AbstractMap<K,V>
    implements Serializable

Makes `AbstractMap` as `Serializable` and is useful for making anonymous serializable maps. It has no extra logic or state in addition to `AbstractMap`. NOTE: methods `AbstractMap.get(Object)`, `AbstractMap.remove(Object)` and `AbstractMap.containsKey(Object)` implemented in `AbstractMap` fully iterate through collection so you need to make sure to override these methods if it's possible to create efficient implementations.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Nested classes/interfaces inherited from interface java.util.Map

`Map.Entry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`GridSerializableMap()`

### Method Summary

### Methods inherited from class java.util.AbstractMap

`clear, clone, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, toString, values`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridSerializableMap

    public GridSerializableMap()

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015